- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
G::Convert::ThrowOnError Struct Reference

Holds error context information for when convert() may fail. More...

`#include <gconvert.h>`

## Public Member Functions
| ThrowOnError ()
| ThrowOnError (const std::string &context_)

## Public Attributes
std::string | context

## Detailed Description

Holds error context information for when convert() may fail.

Definition at line 52 of file gconvert.h.

## Constructor & Destructor Documentation

G::Convert::ThrowOnError::ThrowOnError | ( |  | ) |
| inline

Definition at line 54 of file gconvert.h.

G::Convert::ThrowOnError::ThrowOnError | ( | const std::string & | context_ | ) |
| inline explicit

Definition at line 55 of file gconvert.h.

## Member Data Documentation

std::string G::Convert::ThrowOnError::context

Definition at line 56 of file gconvert.h.

Referenced by G::Convert::convert().

The documentation for this struct was generated from the following file:

- gconvert.h